helpAutoconf - Support: sr #108278, AC_CANONICAL_BUILD depends on...

 
 

sr #108278: AC_CANONICAL_BUILD depends on install-sh, but it does not get installed

Submitter:  Guillaume Melquiond <silene>
Submitted:  Sat 30 Mar 2013 05:39:34 PM UTC
Votes:  1  
 
Category:  None Priority:  1 - Later
Severity:  1 - Wish Status:  Done
Privacy:  Public Assigned to:  None
Open/Closed:  Closed Operating System:  GNU/Linux
* Mandatory Fields

Add a New Comment (Rich Markup)
   

Comment Type & Canned Response:
       

 

( Jump to the original submission )

Mon 30 Nov 2020 08:29:29 PM UTC, comment #6: 

We wound up fixing this one after all.  In 2.70 autoreconf --install will be able to install install-sh, config.sub, and config.guess by itself, with no help required from automake.  (Automake is still in charge of making sure these files are included in release tarballs; you will need to handle that yourself if you hand-roll your Makefiles.)

Zack Weinberg <zackw>
Project Administrator
Fri 10 Jul 2020 03:56:15 PM UTC, comment #5: 

It does seem to me that `autoreconf -i` ought to install these files, even if automake is not in use in the project.

However, since this is a long-standing wart, and since addressing it might require careful coordination with Automake, we are not going to tackle it before the upcoming release of 2.70.

Zack Weinberg <zackw>
Project Administrator
Mon 01 Apr 2013 04:05:46 PM UTC, comment #4: 

Can you please also post your patch to autoconf-patches@gnu.org?  Not everyone likes being forced to open a browser just to review a patch.

Eric Blake <ericb>
Project Administrator
Mon 01 Apr 2013 02:48:39 PM UTC, comment #3: 

Automake is not required for you to install the files manually.  It is just that if you use automake, the manual installation of the files is taken care of, by automake.  If you have suggested wording improvements to the manual, patches are welcome.

Eric Blake <ericb>
Project Administrator
Mon 01 Apr 2013 01:41:47 PM UTC, comment #2: 

I know about this part of the documentation, but I did not understand it as saying that these macros would not work without automake. More precisely, I am well aware that I have to ship the auxiliary files (as I have to ship configure in the first place, for instance). But I have a hard time understanding this sentence as saying that "autoreconf -i" ("Install the missing auxiliary files in the package.") will not install the required files and that one has to manually run "automake --add-missing". Might I suggest to at least add this detail to the documentation?

Guillaume Melquiond <silene>
Mon 01 Apr 2013 12:57:19 PM UTC, comment #1: 

According to tha autoconf manual:
https://www.gnu.org/software/autoconf/manual/autoconf.html#Canonicalizing

"If you use these macros, you must distribute config.guess and config.sub along with your source code. See Output, for information about the AC_CONFIG_AUX_DIR macro which you can use to control in which directory configure looks for those scripts."

This is a documented wart.  Yes, it would be nice if autoconf could install these files automatically instead of documenting that you must do it yourself.  But no one has been bothered enough by the wart to actually submit a patch to automate things; probably because most people use automake which papers over the wart.

In the meantime, since it is at least documented, I am forced to state that this is only an RFE, and not a bug.

Eric Blake <ericb>
Project Administrator
Sat 30 Mar 2013 05:39:34 PM UTC, original submission:  

$ cat configure.in
AC_INIT(test, [1.0], [bug@example.com])
AC_CANONICAL_BUILD
AC_OUTPUT
$ autoreconf -s -i
$ ./configure
configure: error: cannot find install-sh, install.sh, or shtool in "." "./.." "./../.."

Note that AC_CANONICAL_TARGET and AC_CANONICAL_HOST do not work any better. Also the config.guess and config.sub files are missing too. It seems that, although those are autoconf macros, they cannot work unless automake is used to install all the required files.

$ autoconf --version
autoconf (GNU Autoconf) 2.68

Guillaume Melquiond <silene>

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

Attached Files

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by zackw (Posted a comment)
  • -email is unavailable- added by egallager (Voted in favor of this item)
  • -email is unavailable- added by ericb (Posted a comment)
  • -email is unavailable- added by silene (Submitted the item)
  •  

    There is 1 vote so far. Votes easily highlight which items people would like to see resolved in priority, independently of the priority of the item set by tracker managers.

    Only logged-in users can vote.

     

     

     

     

    Follow 7 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2020-11-30 zackw StatusConfirmed Done
        Open/ClosedOpen Closed
    2020-07-10 zackw Priority5 - Normal 1 - Later
        Severity3 - Normal 1 - Wish
        StatusNone Confirmed
    2014-02-13 egallager Carbon-Copy- Added egallager
    2013-04-01 silene Attached File- Added 0001-doc-mention-that-some-required-auxiliary-files-might.patch, #27738

    Back to the top


    Powered by Savane 3.9